import com.saflink.BSPTest.*;

public
class RunAssertion {

  public
  static
  void
  main(String [] myArgs) {
    try {

	       final TestEngine testengine = new TestEngine();

		final String[] runargs = new String[1];

		runargs[0] = myArgs[1];


	final String[] runArgs = myArgs;
	 final SwingWorker worker = new SwingWorker() {
         public Object construct() {
                 testengine.runTest((String) runArgs[0],runargs);
		 System.exit(0);
                 return null;
         }
         public void finished() {
         }
 };
 worker.start();
    } catch (Exception exception) {
      exception.printStackTrace();
    }
  }

}
